JTS Topology Suite - v 1.12

## com.vividsolutions.jts.operation.predicate
Class SegmentIntersectionTester

    java.lang.Object
      com.vividsolutions.jts.operation.predicate.SegmentIntersectionTester

    public class SegmentIntersectionTester

extends java.lang.Object

Tests if any of the segments in a `LineString` intersect any segment in a set of `LineString`s.

The algorithm is optimized for use when the first input has smaller extent than the set of test lines. The code is short-circuited to return as soon an intersection is found.

Version:
  1.7

Constructor Summary
`SegmentIntersectionTester()`

Method Summary
`boolean` `hasIntersectionWithLineStrings(LineString line, java.util.List lines)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentIntersectionTester

    public SegmentIntersectionTester()

Method Detail

### hasIntersectionWithLineStrings

    public boolean hasIntersectionWithLineStrings(LineString line,
                                                  java.util.List lines)

JTS Topology Suite - v 1.12